## DhBookManager DhBookManager — Aggregation of all DhBook's |

## Functions

DhBookManager * | dh_book_manager_new ()
void | dh_book_manager_populate ()

## Types and Values

struct | DhBookManager

## Object Hierarchy

        GObject
        ╰── DhBookManager

## Includes

    #include <devhelp/devhelp.h>

## Description

DhBookManager was a singleton class containing all the DhBook's. It is now empty.

This class is entirely deprecated, you need to use DhProfile, DhSettings and DhBookList instead.

## Functions

### dh_book_manager_new ()

    DhBookManager *
    dh_book_manager_new (void);

`dh_book_manager_new` has been deprecated since version 3.26 and should not be used in newly-written code.

the DhBookManager class is deprecated.

#### Returns

a new DhBookManager object.

[transfer full]

### dh_book_manager_populate ()

    void
    dh_book_manager_populate (DhBookManager *book_manager);

`dh_book_manager_populate` has been deprecated since version 3.26 and should not be used in newly-written code.

the DhBookManager class is deprecated.

#### Parameters

book_manager | a DhBookManager. |

## Types and Values

### struct DhBookManager

    struct DhBookManager;